Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.common.service
Interface EngineService

All Known Implementing Classes:
  EngineServiceImpl

    public interface EngineService

Version:
  $Id: AbstractAttributedObject.java 2140 2006-02-21 06:41:21Z tony $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`void` | `clearCaches(java.lang.Class resourceItf, java.lang.String resourceURI)`
`ReportDataSourceService` | `createDataSourceService(ReportDataSource dataSource)`
`Result` | `execute(ExecutionContext context, Request request)`
`org.apache.commons.collections.OrderedMap` | `executeQuery(ExecutionContext context, ResourceReference queryReference, java.lang.String keyColumn, java.lang.String[] resultColumns, ResourceReference defaultDataSourceReference)`
`void` | `exportToPdf(ExecutionContext context, java.lang.String reportUnitURI, java.util.Map exportParameters)`
`ResourceLookup[]` | `getDataSources(ExecutionContext context, java.lang.String queryLanguage)`
`java.util.Set` | `getDataSourceTypes(ExecutionContext context, java.lang.String queryLanguage)`
`net.sf.jasperreports.engine.JasperReport` | `getMainJasperReport(ExecutionContext context, java.lang.String reportUnitURI)`
`java.lang.String` | `getQueryLanguage(ExecutionContext context, ResourceReference jrxmlResource)`
`java.util.Map` | `getReportInputControlDefaultValues(ExecutionContext context, java.lang.String reportURI, java.util.Map initialParameters)`
`Resource[]` | `getResources(ResourceReference jrxmlReference)` Returns a list of required resources for the report such as images, fonts, subreports, etc.
`void` | `release()`
`ValidationResult` | `validate(ExecutionContext context, ReportUnit reportUnit)`

Method Detail

### execute

    Result execute(ExecutionContext context,
                   Request request)

### getResources

    Resource[] getResources(ResourceReference jrxmlReference)

  Returns a list of required resources for the report such as images, fonts, subreports, etc.

### validate

    ValidationResult validate(ExecutionContext context,
                              ReportUnit reportUnit)

### getMainJasperReport

    net.sf.jasperreports.engine.JasperReport getMainJasperReport(ExecutionContext context,
                                                                 java.lang.String reportUnitURI)

### release

    void release()

### clearCaches

    void clearCaches(java.lang.Class resourceItf,
                     java.lang.String resourceURI)

### createDataSourceService

    ReportDataSourceService createDataSourceService(ReportDataSource dataSource)

### exportToPdf

    void exportToPdf(ExecutionContext context,
                     java.lang.String reportUnitURI,
                     java.util.Map exportParameters)

### executeQuery

    org.apache.commons.collections.OrderedMap executeQuery(ExecutionContext context,
                                                           ResourceReference queryReference,
                                                           java.lang.String keyColumn,
                                                           java.lang.String[] resultColumns,
                                                           ResourceReference defaultDataSourceReference)

### getDataSources

    ResourceLookup[] getDataSources(ExecutionContext context,
                                    java.lang.String queryLanguage)

### getDataSourceTypes

    java.util.Set getDataSourceTypes(ExecutionContext context,
                                     java.lang.String queryLanguage)

### getQueryLanguage

    java.lang.String getQueryLanguage(ExecutionContext context,
                                      ResourceReference jrxmlResource)

### getReportInputControlDefaultValues

    java.util.Map getReportInputControlDefaultValues(ExecutionContext context,
                                                     java.lang.String reportURI,
                                                     java.util.Map initialParameters)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.